Index: /trunk/wp-admin/admin-header.php
===================================================================
--- /trunk/wp-admin/admin-header.php	(revision 7129)
+++ /trunk/wp-admin/admin-header.php	(revision 7130)
@@ -28,5 +28,5 @@
 <meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php echo get_option('blog_charset'); ?>" />
 <title><?php bloginfo('name') ?> &rsaquo; <?php echo wp_specialchars( strip_tags( $title ) ); ?> &#8212; WordPress</title>
-<?php 
+<?php
 wp_admin_css( 'css/global' );
 wp_admin_css();
Index: /trunk/wp-admin/bookmarklet.php
===================================================================
--- /trunk/wp-admin/bookmarklet.php	(revision 7129)
+++ /trunk/wp-admin/bookmarklet.php	(revision 7130)
@@ -52,5 +52,5 @@
 <title><?php bloginfo('name') ?> &rsaquo; Bookmarklet &#8212; WordPress</title>
 <meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php echo get_option('blog_charset'); ?>" />
-<?php 
+<?php
 wp_admin_css( 'css/global' );
 wp_admin_css();
Index: /trunk/wp-admin/categories.php
===================================================================
--- /trunk/wp-admin/categories.php	(revision 7129)
+++ /trunk/wp-admin/categories.php	(revision 7130)
@@ -98,5 +98,5 @@
 if ( !empty($_GET['_wp_http_referer']) ) {
 	 wp_redirect(remove_query_arg(array('_wp_http_referer', '_wpnonce'), stripslashes($_SERVER['REQUEST_URI'])));
-	 exit; 
+	 exit;
 }
 
Index: /trunk/wp-admin/css/install.css
===================================================================
--- /trunk/wp-admin/css/install.css	(revision 7129)
+++ /trunk/wp-admin/css/install.css	(revision 7130)
@@ -51,5 +51,5 @@
 	font-size: 13px !important;
 	-moz-border-radius: 2px;
-	-khtml-border-radius: 2px;	
+	-khtml-border-radius: 2px;
 	-webkit-border-radius: 2px;
 	border-radius: 2px;
Index: /trunk/wp-admin/css/login.css
===================================================================
--- /trunk/wp-admin/css/login.css	(revision 7129)
+++ /trunk/wp-admin/css/login.css	(revision 7130)
@@ -30,5 +30,5 @@
 	margin-top: -6px;
 	-moz-border-radius: 2px;
-	-khtml-border-radius: 2px;	
+	-khtml-border-radius: 2px;
 	-webkit-border-radius: 2px;
 	border-radius: 2px;
Index: /trunk/wp-admin/css/widgets.css
===================================================================
--- /trunk/wp-admin/css/widgets.css	(revision 7129)
+++ /trunk/wp-admin/css/widgets.css	(revision 7130)
@@ -36,5 +36,5 @@
 div#widget-content {
 	border-bottom: 1px solid #ccc;
-}	
+}
 
 ul#widget-list {
Index: /trunk/wp-admin/edit-comments.php
===================================================================
--- /trunk/wp-admin/edit-comments.php	(revision 7129)
+++ /trunk/wp-admin/edit-comments.php	(revision 7130)
@@ -10,5 +10,5 @@
 	check_admin_referer('bulk-comments');
 
-	$comments_deleted = $comments_approved = $comments_unapproved = $comments_spammed = 0; 
+	$comments_deleted = $comments_approved = $comments_unapproved = $comments_spammed = 0;
 	foreach ($_REQUEST['delete_comments'] as $comment) : // Check the permissions on each
 		$comment = (int) $comment;
@@ -41,5 +41,5 @@
 } elseif ( !empty($_GET['_wp_http_referer']) ) {
 	 wp_redirect(remove_query_arg(array('_wp_http_referer', '_wpnonce'), stripslashes($_SERVER['REQUEST_URI'])));
-	 exit; 
+	 exit;
 }
 
Index: /trunk/wp-admin/edit-form-advanced.php
===================================================================
--- /trunk/wp-admin/edit-form-advanced.php	(revision 7129)
+++ /trunk/wp-admin/edit-form-advanced.php	(revision 7130)
@@ -179,5 +179,5 @@
 <?php $sample_permalink_html = get_sample_permalink_html($post->ID); ?>
 	<div id="edit-slug-box">
-<?php if ( ! empty($post->ID) && ! empty($sample_permalink_html) ) : 
+<?php if ( ! empty($post->ID) && ! empty($sample_permalink_html) ) :
 	echo $sample_permalink_html;
 endif; ?>
Index: /trunk/wp-admin/edit-link-categories.php
===================================================================
--- /trunk/wp-admin/edit-link-categories.php	(revision 7129)
+++ /trunk/wp-admin/edit-link-categories.php	(revision 7130)
@@ -23,5 +23,5 @@
 } elseif ( !empty($_GET['_wp_http_referer']) ) {
 	 wp_redirect(remove_query_arg(array('_wp_http_referer', '_wpnonce'), stripslashes($_SERVER['REQUEST_URI'])));
-	 exit; 
+	 exit;
 }
 
Index: /trunk/wp-admin/edit-page-form.php
===================================================================
--- /trunk/wp-admin/edit-page-form.php	(revision 7129)
+++ /trunk/wp-admin/edit-page-form.php	(revision 7130)
@@ -154,5 +154,5 @@
 <?php $sample_permalink_html = get_sample_permalink_html($post->ID); ?>
 	<div id="edit-slug-box">
-<?php if ( ! empty($post->ID) && ! empty($sample_permalink_html) ) : 
+<?php if ( ! empty($post->ID) && ! empty($sample_permalink_html) ) :
 	echo $sample_permalink_html;
 endif; ?>
Index: /trunk/wp-admin/edit-pages.php
===================================================================
--- /trunk/wp-admin/edit-pages.php	(revision 7129)
+++ /trunk/wp-admin/edit-pages.php	(revision 7130)
@@ -29,5 +29,5 @@
 } elseif ( !empty($_GET['_wp_http_referer']) ) {
 	 wp_redirect(remove_query_arg(array('_wp_http_referer', '_wpnonce'), stripslashes($_SERVER['REQUEST_URI'])));
-	 exit; 
+	 exit;
 }
 
@@ -73,5 +73,5 @@
 
 $avail_post_stati = get_available_post_statuses('page');
-	
+
 $status_links = array();
 $num_posts = wp_count_posts('page', 'readable');
@@ -81,5 +81,5 @@
 	if ( !in_array($status, $avail_post_stati) )
 		continue;
-	
+
 	if ( $status == $_GET['post_status'] )
 		$class = ' class="current"';
Index: /trunk/wp-admin/edit-tags.php
===================================================================
--- /trunk/wp-admin/edit-tags.php	(revision 7129)
+++ /trunk/wp-admin/edit-tags.php	(revision 7130)
@@ -88,5 +88,5 @@
 if ( !empty($_GET['_wp_http_referer']) ) {
 	 wp_redirect(remove_query_arg(array('_wp_http_referer', '_wpnonce'), stripslashes($_SERVER['REQUEST_URI'])));
-	 exit; 
+	 exit;
 }
 
Index: /trunk/wp-admin/edit.php
===================================================================
--- /trunk/wp-admin/edit.php	(revision 7129)
+++ /trunk/wp-admin/edit.php	(revision 7130)
@@ -29,5 +29,5 @@
 } elseif ( !empty($_GET['_wp_http_referer']) ) {
 	 wp_redirect(remove_query_arg(array('_wp_http_referer', '_wpnonce'), stripslashes($_SERVER['REQUEST_URI'])));
-	 exit; 
+	 exit;
 }
 
@@ -155,10 +155,10 @@
 		continue;
 	$arc_row->mmonth = zeroise( $arc_row->mmonth, 2 );
-	
+
 	if ( $arc_row->yyear . $arc_row->mmonth == $_GET['m'] )
 		$default = ' selected="selected"';
 	else
 		$default = '';
-	
+
 	echo "<option$default value='$arc_row->yyear$arc_row->mmonth'>";
 	echo $wp_locale->get_month($arc_row->mmonth) . " $arc_row->yyear";
Index: /trunk/wp-admin/includes/class-ftp.php
===================================================================
--- /trunk/wp-admin/includes/class-ftp.php	(revision 7129)
+++ /trunk/wp-admin/includes/class-ftp.php	(revision 7130)
@@ -15,5 +15,5 @@
 	var $OS_local;
 	var $OS_remote;
-	
+
 	/* Private variables */
 	var $_lastaction;
@@ -602,5 +602,5 @@
 		}
 		return $ret;
-		
+
 	}
 
@@ -650,5 +650,5 @@
 			return false;
 		}
-	
+
 		foreach($list as $k=>$v) {
 			$list[$k]=$this->parselisting($v);
@@ -656,5 +656,5 @@
 		}
 		$ret=true;
-	
+
 		foreach($list as $el) {
 			if ( empty($el) )
@@ -674,5 +674,5 @@
 			}
 		}
-	
+
 		if(!$this->rmdir($remote)) {
 			$this->PushError("mdel", "can't delete folder", "Can't delete remote folder \"".$remote."/".$el["name"]."\"");
@@ -814,5 +814,5 @@
 		return(array_push($this->_error_array,$error));
 	}
-	
+
 // Rcupre une erreur externe
 	function PopError(){
Index: /trunk/wp-admin/includes/class-pclzip.php
===================================================================
--- /trunk/wp-admin/includes/class-pclzip.php	(revision 7129)
+++ /trunk/wp-admin/includes/class-pclzip.php	(revision 7130)
@@ -28,5 +28,5 @@
   // ----- Constants
   define( 'PCLZIP_READ_BLOCK_SIZE', 2048 );
-  
+
   // ----- File list separator
   // In version 1.x of PclZip, the separator for file list is a space
@@ -127,5 +127,5 @@
   //define( 'PCLZIP_OPT_CRYPT', 77018 );
   define( 'PCLZIP_OPT_EXTRACT_DIR_RESTRICTION', 77019 );
-  
+
   // ----- File description attributes
   define( 'PCLZIP_ATT_FILE_NAME', 79001 );
@@ -170,5 +170,5 @@
     var $error_code = 1;
     var $error_string = '';
-    
+
     // ----- Current status of the magic_quotes_runtime
     // This value store the php configuration for magic_quotes
@@ -316,8 +316,8 @@
     $v_filedescr_list = array();
     $p_result_list = array();
-    
+
     // ----- Look if the $p_filelist is really an array
     if (is_array($p_filelist)) {
-    
+
       // ----- Look if the first element is also an array
       //       This will mean that this is a file description entry
@@ -325,5 +325,5 @@
         $v_att_list = $p_filelist;
       }
-      
+
       // ----- The list is a list of string names
       else {
@@ -344,5 +344,5 @@
       return 0;
     }
-    
+
     // ----- Reformat the string list
     if (sizeof($v_string_list) != 0) {
@@ -356,5 +356,5 @@
       }
     }
-    
+
     // ----- For each file in the list check the attributes
     $v_supported_attributes
@@ -506,8 +506,8 @@
     $v_filedescr_list = array();
     $p_result_list = array();
-    
+
     // ----- Look if the $p_filelist is really an array
     if (is_array($p_filelist)) {
-    
+
       // ----- Look if the first element is also an array
       //       This will mean that this is a file description entry
@@ -515,5 +515,5 @@
         $v_att_list = $p_filelist;
       }
-      
+
       // ----- The list is a list of string names
       else {
@@ -534,5 +534,5 @@
       return 0;
     }
-    
+
     // ----- Reformat the string list
     if (sizeof($v_string_list) != 0) {
@@ -541,5 +541,5 @@
       }
     }
-    
+
     // ----- For each file in the list check the attributes
     $v_supported_attributes
@@ -991,5 +991,5 @@
   //   PCLZIP_OPT_BY_INDEX :
   //   PCLZIP_OPT_BY_NAME :
-  //   PCLZIP_OPT_BY_EREG : 
+  //   PCLZIP_OPT_BY_EREG :
   //   PCLZIP_OPT_BY_PREG :
   // Return Values :
@@ -1066,5 +1066,5 @@
   {
     //--(MAGIC-PclTrace)--//PclTraceFctStart(__FILE__, __LINE__, "PclZip::deleteByIndex", "index='$p_index'");
-    
+
     $p_list = $this->delete(PCLZIP_OPT_BY_INDEX, $p_index);
 
@@ -1120,5 +1120,5 @@
       {
         $this->privSwapBackMagicQuotes();
-        
+
         // ----- Error log
         PclZip::privErrorLog(PCLZIP_ERR_READ_OPEN_FAIL, 'Unable to open archive \''.$this->zipname.'\' in binary read mode');
@@ -1449,5 +1449,5 @@
     //--(MAGIC-PclTrace)--//PclTraceFctStart(__FILE__, __LINE__, "PclZip::privParseOptions", "");
     $v_result=1;
-    
+
     // ----- Read the options
     $i=0;
@@ -1646,5 +1646,5 @@
             return PclZip::errorCode();
           }
-          
+
           // ----- Reduce the index list
           // each index item in the list must be a couple with a start and
@@ -1657,8 +1657,8 @@
               $v_item_list = explode("-", $v_work_list[$j]);
               $v_size_item_list = sizeof($v_item_list);
-              
+
               // ----- TBC : Here we might check that each item is a
               // real integer ...
-              
+
               // ----- Look for single value
               if ($v_size_item_list == 1) {
@@ -1698,5 +1698,5 @@
               $v_sort_value = $v_result_list[$p_options_list[$i]][$j]['start'];
           }
-          
+
           // ----- Sort the items
           if ($v_sort_flag) {
@@ -1830,8 +1830,8 @@
     //--(MAGIC-PclTrace)--//PclTraceFctStart(__FILE__, __LINE__, "PclZip::privFileDescrParseAtt", "");
     $v_result=1;
-    
+
     // ----- For each file in the list check the attributes
     foreach ($p_file_list as $v_key => $v_value) {
-    
+
       // ----- Check if the option is supported
       if (!isset($v_requested_options[$v_key])) {
@@ -1855,5 +1855,5 @@
           $p_filedescr['filename'] = PclZipUtilPathReduction($v_value);
           //--(MAGIC-PclTrace)--//PclTraceFctMessage(__FILE__, __LINE__, 2, "".PclZipUtilOptionText($v_key)." = '".$v_value."'");
-          
+
           if ($p_filedescr['filename'] == '') {
             PclZip::privErrorLog(PCLZIP_ERR_INVALID_ATTRIBUTE_VALUE, "Invalid empty filename for attribute '".PclZipUtilOptionText($v_key)."'");
@@ -1923,8 +1923,8 @@
         }
       }
-    
+
     // end foreach
     }
-    
+
     // ----- Return
     //--(MAGIC-PclTrace)--//PclTraceFctEnd(__FILE__, __LINE__, $v_result);
@@ -1945,13 +1945,13 @@
     //--(MAGIC-PclTrace)--//PclTraceFctStart(__FILE__, __LINE__, "PclZip::privFileDescrExpand", "");
     $v_result=1;
-    
+
     // ----- Create a result list
     $v_result_list = array();
-    
+
     // ----- Look each entry
     for ($i=0; $i<sizeof($p_filedescr_list); $i++) {
       // ----- Get filedescr
       $v_descr = $p_filedescr_list[$i];
-      
+
       // ----- Reduce the filename
       //--(MAGIC-PclTrace)--//PclTraceFctMessage(__FILE__, __LINE__, 3, "Filedescr before reduction :'".$v_descr['filename']."'");
@@ -1959,5 +1959,5 @@
       $v_descr['filename'] = PclZipUtilPathReduction($v_descr['filename']);
       //--(MAGIC-PclTrace)--//PclTraceFctMessage(__FILE__, __LINE__, 3, "Filedescr after reduction :'".$v_descr['filename']."'");
-      
+
       // ----- Get type of descr
       if (!file_exists($v_descr['filename'])) {
@@ -1988,11 +1988,11 @@
         continue;
       }
-      
+
       // ----- Calculate the stored filename
       $this->privCalculateStoredFilename($v_descr, $p_options);
-      
+
       // ----- Add the descriptor in result list
       $v_result_list[sizeof($v_result_list)] = $v_descr;
-      
+
       // ----- Look for folder
       if ($v_descr['type'] == 'folder') {
@@ -2008,8 +2008,8 @@
                 continue;
             }
-            
+
             // ----- Compose the full filename
             $v_dirlist_descr[$v_dirlist_nb]['filename'] = $v_descr['filename'].'/'.$v_item_handler;
-            
+
             // ----- Look for different stored filename
             // Because the name of the folder was changed, the name of the
@@ -2018,5 +2018,5 @@
               $v_dirlist_descr[$v_dirlist_nb]['new_full_name'] = $v_descr['stored_filename'].'/'.$v_item_handler;
             }
-      
+
             $v_dirlist_nb++;
           }
@@ -2026,5 +2026,5 @@
           // TBC : unable to open folder in read mode
         }
-        
+
         // ----- Expand each element of the list
         if ($v_dirlist_nb != 0) {
@@ -2034,5 +2034,5 @@
             return $v_result;
           }
-          
+
           // ----- Concat the resulting list
           //--(MAGIC-PclTrace)--//PclTraceFctMessage(__FILE__, __LINE__, 2, "Merging result list (size '".sizeof($v_result_list)."') with dirlist (size '".sizeof($v_dirlist_descr)."')");
@@ -2043,10 +2043,10 @@
           //--(MAGIC-PclTrace)--//PclTraceFctMessage(__FILE__, __LINE__, 2, "Nothing in this folder to expand.");
         }
-          
+
         // ----- Free local array
         unset($v_dirlist_descr);
       }
     }
-    
+
     // ----- Get the result list
     $p_filedescr_list = $v_result_list;
@@ -2069,5 +2069,5 @@
     $v_result=1;
     $v_list_detail = array();
-    
+
     // ----- Magic quotes trick
     $this->privDisableMagicQuotes();
@@ -2430,5 +2430,5 @@
   // Description :
   // Parameters :
-  //   $p_filedescr_list : An array containing the file description 
+  //   $p_filedescr_list : An array containing the file description
   //                      or directory names to add in the zip
   //   $p_result_list : list of added files with their properties (specially the status field)
@@ -2450,5 +2450,5 @@
       $p_filedescr_list[$j]['filename']
       = PclZipUtilTranslateWinPath($p_filedescr_list[$j]['filename'], false);
-      
+
       //--(MAGIC-PclTrace)--//PclTraceFctMessage(__FILE__, __LINE__, 2, "Looking for file '".$p_filedescr_list[$j]['filename']."'");
 
@@ -2504,5 +2504,5 @@
     //--(MAGIC-PclTrace)--//PclTraceFctStart(__FILE__, __LINE__, "PclZip::privAddFile", "filename='".$p_filedescr['filename']."'");
     $v_result=1;
-    
+
     // ----- Working variable
     $p_filename = $p_filedescr['filename'];
@@ -2517,6 +2517,6 @@
       return PclZip::errorCode();
     }
-  
-    // ----- Look for a stored different filename 
+
+    // ----- Look for a stored different filename
     if (isset($p_filedescr['stored_filename'])) {
       $v_stored_filename = $p_filedescr['stored_filename'];
@@ -2584,5 +2584,5 @@
       $p_header['status'] = "filtered";
     }
-    
+
     // ----- Check the path length
     if (strlen($p_header['stored_filename']) > 0xFF) {
@@ -2631,5 +2631,5 @@
           $p_header['compression'] = 8;
         }
-        
+
         // ----- Look for encryption
         /*
@@ -2637,5 +2637,5 @@
 		    && ($p_options[PCLZIP_OPT_CRYPT] != "")) {
           //--(MAGIC-PclTrace)--//PclTraceFctMessage(__FILE__, __LINE__, 2, "File need to be crypted ....");
-          
+
           // Should be a random header
           $v_header = 'xxxxxxxxxxxx';
@@ -2645,8 +2645,8 @@
 												   $p_header['crc'],
 												   "test");
-												   
+
           $p_header['compressed_size'] += 12;
           $p_header['flag'] = 1;
-          
+
           // ----- Add the header to the data
           $v_content_compressed = $v_header.$v_content_compressed;
@@ -2663,7 +2663,7 @@
 
         // ----- Write the compressed (or not) content
-        @fwrite($this->zip_fd, 
+        @fwrite($this->zip_fd,
 		            $v_content_compressed, $p_header['compressed_size']);
-        
+
         // ----- Close the file
         @fclose($v_file);
@@ -2731,5 +2731,5 @@
     //--(MAGIC-PclTrace)--//PclTraceFctStart(__FILE__, __LINE__, "PclZip::privCalculateStoredFilename", "filename='".$p_filedescr['filename']."'");
     $v_result=1;
-    
+
     // ----- Working variables
     $p_filename = $p_filedescr['filename'];
@@ -2758,5 +2758,5 @@
       //--(MAGIC-PclTrace)--//PclTraceFctMessage(__FILE__, __LINE__, 4, "Changing full name of '".$p_filename."' for '".$v_stored_filename."'");
     }
-    
+
     // ----- Look for path and/or short name change
     else {
@@ -2789,5 +2789,5 @@
         if (   (substr($p_filename, 0, 2) == "./")
             || (substr($p_remove_dir, 0, 2) == "./")) {
-            
+
           if (   (substr($p_filename, 0, 2) == "./")
               && (substr($p_remove_dir, 0, 2) != "./")) {
@@ -2829,5 +2829,5 @@
     $p_filedescr['stored_filename'] = $v_stored_filename;
     //--(MAGIC-PclTrace)--//PclTraceFctMessage(__FILE__, __LINE__, 2, "Stored filename will be '".$p_filedescr['stored_filename']."', strlen ".strlen($p_filedescr['stored_filename']));
-    
+
     // ----- Return
     //--(MAGIC-PclTrace)--//PclTraceFctEnd(__FILE__, __LINE__, $v_result);
@@ -2992,5 +2992,5 @@
       // ----- Magic quotes trick
       $this->privSwapBackMagicQuotes();
-      
+
       // ----- Error log
       PclZip::privErrorLog(PCLZIP_ERR_READ_OPEN_FAIL, 'Unable to open archive \''.$this->zipname.'\' in binary read mode');
@@ -3271,5 +3271,5 @@
                && ($p_options[PCLZIP_OPT_BY_INDEX] != 0)) {
           //--(MAGIC-PclTrace)--//PclTraceFctMessage(__FILE__, __LINE__, 3, "Extract with rule 'ByIndex'");
-          
+
           // ----- Look if the index is in the list
           for ($j=$j_start; ($j<sizeof($p_options[PCLZIP_OPT_BY_INDEX])) && (!$v_extract); $j++) {
@@ -3311,5 +3311,5 @@
 
               $this->privSwapBackMagicQuotes();
-              
+
               PclZip::privErrorLog(PCLZIP_ERR_UNSUPPORTED_COMPRESSION,
 			                       "Filename '".$v_header['stored_filename']."' is "
@@ -3321,5 +3321,5 @@
 		  }
 	  }
-	  
+
 	  // ----- Check encrypted files
 	  if (($v_extract) && (($v_header['flag'] & 1) == 1)) {
@@ -3358,5 +3358,5 @@
           $v_extract = false;
       }
-      
+
       // ----- Look for real extraction
       if ($v_extract)
@@ -3412,5 +3412,5 @@
           // ----- Next extracted file
           $v_nb_extracted++;
-          
+
           // ----- Look for user callback abort
           if ($v_result1 == 2) {
@@ -3564,5 +3564,5 @@
       $p_entry['filename'] = $p_path."/".$p_entry['filename'];
     }
-    
+
     // ----- Check a base_dir_restriction
     if (isset($p_options[PCLZIP_OPT_EXTRACT_DIR_RESTRICTION])) {
@@ -3570,5 +3570,5 @@
       $v_inclusion
       = PclZipUtilPathInclusion($p_options[PCLZIP_OPT_EXTRACT_DIR_RESTRICTION],
-                                $p_entry['filename']); 
+                                $p_entry['filename']);
       if ($v_inclusion == 0) {
         //--(MAGIC-PclTrace)--//PclTraceFctMessage(__FILE__, __LINE__, 2, "PCLZIP_OPT_EXTRACT_DIR_RESTRICTION is selected, file is outside restriction");
@@ -3600,5 +3600,5 @@
         $v_result = 1;
       }
-      
+
       // ----- Look for abort result
       if ($v_result == 2) {
@@ -3632,5 +3632,5 @@
         // ----- Change the file status
         $p_entry['status'] = "already_a_directory";
-        
+
         // ----- Look for PCLZIP_OPT_STOP_ON_ERROR
         // For historical reason first PclZip implementation does not stop
@@ -3765,5 +3765,5 @@
             @fwrite($v_dest_file, $v_binary_data, $v_read_size);
             */
-            @fwrite($v_dest_file, $v_buffer, $v_read_size);            
+            @fwrite($v_dest_file, $v_buffer, $v_read_size);
             $v_size -= $v_read_size;
           }
@@ -3774,5 +3774,5 @@
           // ----- Change the file mtime
           touch($p_entry['filename'], $p_entry['mtime']);
-          
+
 
         }
@@ -3787,9 +3787,9 @@
               //--(MAGIC-PclTrace)--//PclTraceFctMessage(__FILE__, __LINE__, 5, "Read 12 encryption header bytes");
               $v_encryption_header = @fread($this->zip_fd, 12);
-              
+
               // ----- Read the encrypted & compressed file in a buffer
               //--(MAGIC-PclTrace)--//PclTraceFctMessage(__FILE__, __LINE__, 5, "Read '".($p_entry['compressed_size']-12)."' compressed & encrypted bytes");
               $v_buffer = @fread($this->zip_fd, $p_entry['compressed_size']-12);
-              
+
               // ----- Decrypt the buffer
               $this->privDecrypt($v_encryption_header, $v_buffer,
@@ -3803,5 +3803,5 @@
               $v_buffer = @fread($this->zip_fd, $p_entry['compressed_size']);
           }
-          
+
           // ----- Decompress the file
           $v_file_content = @gzinflate($v_buffer);
@@ -3813,9 +3813,9 @@
             // TBC
             $p_entry['status'] = "error";
-            
+
             //--(MAGIC-PclTrace)--//PclTraceFctEnd(__FILE__, __LINE__, $v_result);
             return $v_result;
           }
-          
+
           // ----- Opening destination file
           if (($v_dest_file = @fopen($p_entry['filename'], 'wb')) == 0) {
@@ -3856,5 +3856,5 @@
       $p_entry['status'] = "skipped";
 	}
-	
+
     // ----- Look for post-extract callback
     elseif (isset($p_options[PCLZIP_CB_POST_EXTRACT])) {
@@ -3965,5 +3965,5 @@
           // ----- Read the compressed file in a buffer (one shot)
           $v_buffer = @fread($this->zip_fd, $p_entry['compressed_size']);
-          
+
           // ----- Decompress the file
           $v_file_content = gzinflate($v_buffer);
@@ -4054,5 +4054,5 @@
         // ----- Reading the file
         $v_data = @fread($this->zip_fd, $p_entry['compressed_size']);
-        
+
         // ----- Decompress the file
         if (($p_string = @gzinflate($v_data)) === FALSE) {
@@ -4804,5 +4804,5 @@
                 return $v_result;
             }
-            
+
             // ----- Check that local file header is same as central file header
             if ($this->privCheckFileHeaders($v_local_header,
@@ -4897,9 +4897,9 @@
         //@rename($v_zip_temp_name, $this->zipname);
         PclZipUtilRename($v_zip_temp_name, $this->zipname);
-    
+
         // ----- Destroy the temporary archive
         unset($v_temp_zip);
     }
-    
+
     // ----- Remove every files : reset the file
     else if ($v_central_dir['entries'] != 0) {
@@ -5316,11 +5316,11 @@
     //--(MAGIC-PclTrace)--//PclTraceFctStart(__FILE__, __LINE__, 'PclZip::privDecrypt', "size=".$p_size."");
     $v_result=1;
-    
+
     // ----- To Be Modified ;-)
     $v_pwd = "test";
-    
+
     $p_buffer = PclZipUtilZipDecrypt($p_buffer, $p_size, $p_encryption_header,
 	                                 $p_crc, $v_pwd);
-    
+
     // ----- Return
     //--(MAGIC-PclTrace)--//PclTraceFctEnd(__FILE__, __LINE__, $v_result);
@@ -5472,5 +5472,5 @@
         }
       }
-      
+
       // ----- Look for skip
       if ($v_skip > 0) {
@@ -5507,5 +5507,5 @@
     //--(MAGIC-PclTrace)--//PclTraceFctStart(__FILE__, __LINE__, "PclZipUtilPathInclusion", "dir='$p_dir', path='$p_path'");
     $v_result = 1;
-    
+
     // ----- Look for path beginning by ./
     if (   ($p_dir == '.')
@@ -5698,5 +5698,5 @@
   {
     //--(MAGIC-PclTrace)--//PclTraceFctStart(__FILE__, __LINE__, "PclZipUtilOptionText", "option='".$p_option."'");
-    
+
     $v_list = get_defined_constants();
     for (reset($v_list); $v_key = key($v_list); next($v_list)) {
@@ -5710,5 +5710,5 @@
 	    }
     }
-    
+
     $v_result = 'Unknown';
 
Index: /trunk/wp-admin/includes/class-wp-filesystem-direct.php
===================================================================
--- /trunk/wp-admin/includes/class-wp-filesystem-direct.php	(revision 7129)
+++ /trunk/wp-admin/includes/class-wp-filesystem-direct.php	(revision 7130)
@@ -88,5 +88,5 @@
 		if( !function_exists('posix_getpwuid') )
 			return $owneruid;
-		$ownerarray=posix_getpwuid($owneruid); 
+		$ownerarray=posix_getpwuid($owneruid);
 		return $ownerarray['name'];
 	}
@@ -122,5 +122,5 @@
 			$info = 'u';
 		}
-		
+
 		// Owner
 		$info .= (($perms & 0x0100) ? 'r' : '-');
@@ -129,5 +129,5 @@
 					(($perms & 0x0800) ? 's' : 'x' ) :
 					(($perms & 0x0800) ? 'S' : '-'));
-		
+
 		// Group
 		$info .= (($perms & 0x0020) ? 'r' : '-');
@@ -136,5 +136,5 @@
 					(($perms & 0x0400) ? 's' : 'x' ) :
 					(($perms & 0x0400) ? 'S' : '-'));
-		
+
 		// World
 		$info .= (($perms & 0x0004) ? 'r' : '-');
@@ -169,8 +169,8 @@
 		if( !function_exists('posix_getgrgid') )
 			return $gid;
-		$grouparray=posix_getgrgid($gid); 
+		$grouparray=posix_getgrgid($gid);
 		return $grouparray['name'];
 	}
-	
+
 	function copy($source,$destination,$overwrite=false){
 		if( $overwrite && $this->exists($destination) )
@@ -211,5 +211,5 @@
 		return $retval;
 	}
-	
+
 	function exists($file){
 		return @file_exists($file);
@@ -231,5 +231,5 @@
 		return @is_writable($file);
 	}
-	
+
 	function atime($file){
 		return @fileatime($file);
@@ -250,9 +250,9 @@
 		return @touch($file,$time,$atime);
 	}
-	
+
 	function mkdir($path,$chmod=false,$chown=false,$chgrp=false){
 		if( ! $chmod)
 			$chmod = $this->permission;
-			
+
 		if( !@mkdir($path,$chmod) )
 			return false;
@@ -276,5 +276,5 @@
 		return @rmdir($path);
 	}
-	
+
 	function dirlist($path,$incdot=false,$recursive=false){
 		if( $this->is_file($path) ){
@@ -292,10 +292,10 @@
 			$struc = array();
 			$struc['name'] 		= $entry;
-			
+
 			if( '.' == $struc['name'][0] && !$incdot)
 				continue;
 			if( $limitFile && $struc['name'] != $limitFile)
 				continue;
-			
+
 			$struc['perms'] 	= $this->gethchmod($path.'/'.$entry);
 			$struc['permsn']	= $this->getnumchmodfromh($struc['perms']);
@@ -310,5 +310,5 @@
 			if ('d' == $struc['type'] ){
 				$struc['files'] = array();
-				
+
 				if( $incdot ){
 					//We're including the doted starts
Index: /trunk/wp-admin/includes/class-wp-filesystem-ftpext.php
===================================================================
--- /trunk/wp-admin/includes/class-wp-filesystem-ftpext.php	(revision 7129)
+++ /trunk/wp-admin/includes/class-wp-filesystem-ftpext.php	(revision 7130)
@@ -5,8 +5,8 @@
 	var $errors = array();
 	var $options = array();
-	
+
 	var $wp_base = '';
 	var $permission = null;
-	
+
 	var $filetypes = array(
 							'php'=>FTP_ASCII,
@@ -17,5 +17,5 @@
 							'htm'=>FTP_ASCII,
 							'xml'=>FTP_ASCII,
-							
+
 							'jpg'=>FTP_BINARY,
 							'png'=>FTP_BINARY,
@@ -23,5 +23,5 @@
 							'bmp'=>FTP_BINARY
 							);
-	
+
 	function WP_Filesystem_FTPext($opt='') {
 		$this->errors = new WP_Error();
@@ -54,8 +54,8 @@
 
 		if ( empty ($opt['password']) )
-			$this->errors->add('empty_password', __('FTP password is required'));	
+			$this->errors->add('empty_password', __('FTP password is required'));
 		else
 			$this->options['password'] = $opt['password'];
-		
+
 		$this->options['ssl'] = ( !empty($opt['ssl']) );
 	}
@@ -89,5 +89,5 @@
 		if( empty( $base ) ) $base = '/';
 		if( '/' != substr($base, -1) ) $base .= '/';
-		
+
 		if($echo) echo sprintf(__('Changing to %s'), $base) .'<br>';
 		if( false === ftp_chdir($this->link, $base) )
@@ -220,5 +220,5 @@
 			$info = 'u';
 		}
-		
+
 		// Owner
 		$info .= (($perms & 0x0100) ? 'r' : '-');
@@ -227,5 +227,5 @@
 					(($perms & 0x0800) ? 's' : 'x' ) :
 					(($perms & 0x0800) ? 'S' : '-'));
-		
+
 		// Group
 		$info .= (($perms & 0x0020) ? 'r' : '-');
@@ -234,5 +234,5 @@
 					(($perms & 0x0400) ? 's' : 'x' ) :
 					(($perms & 0x0400) ? 'S' : '-'));
-		
+
 		// World
 		$info .= (($perms & 0x0004) ? 'r' : '-');
@@ -339,9 +339,9 @@
 		if( ! $recursive )
 			return ftp_rmdir($this->link, $file);
-		
+
 		//TODO: Recursive Directory delete, Have to delete files from the folder first.
 		//$dir = $this->dirlist($path);
 		//foreach($dir as $file)
-			
+
 	}
 
@@ -440,5 +440,5 @@
 		$ret = array();
 		foreach ( $dirlist as $struc ) {
-			
+
 			if ( 'd' == $struc['type'] ) {
 				$struc['files'] = array();
Index: /trunk/wp-admin/includes/class-wp-filesystem-ftpsockets.php
===================================================================
--- /trunk/wp-admin/includes/class-wp-filesystem-ftpsockets.php	(revision 7129)
+++ /trunk/wp-admin/includes/class-wp-filesystem-ftpsockets.php	(revision 7130)
@@ -5,8 +5,8 @@
 	var $errors;
 	var $options = array();
-	
+
 	var $wp_base = '';
 	var $permission = null;
-	
+
 	var $filetypes = array(
 							'php'=>FTP_ASCII,
@@ -17,5 +17,5 @@
 							'htm'=>FTP_ASCII,
 							'xml'=>FTP_ASCII,
-							
+
 							'jpg'=>FTP_BINARY,
 							'png'=>FTP_BINARY,
@@ -23,5 +23,5 @@
 							'bmp'=>FTP_BINARY
 							);
-	
+
 	function WP_Filesystem_ftpsockets($opt='') {
 		$this->errors = new WP_Error();
@@ -53,5 +53,5 @@
 
 		if ( empty ($opt['password']) )
-			$this->errors->add('empty_password', __('FTP password is required'));	
+			$this->errors->add('empty_password', __('FTP password is required'));
 		else
 			$this->options['password'] = $opt['password'];
@@ -91,5 +91,5 @@
 		if( empty( $base ) ) $base = '/';
 		if( '/' != substr($base, -1) ) $base .= '/';
-		
+
 		if($echo) echo __('Changing to ') . $base  .'<br>';
 		if( false === $this->ftp->chdir($base) )
@@ -158,5 +158,5 @@
 		}
 		$this->ftp->SetType($type);
-		
+
 		$temp = tmpfile();
 		fwrite($temp,$contents);
@@ -174,5 +174,5 @@
 		return false;
 	}
-	
+
 	function chmod($file,$mode=false,$recursive=false){
 		if( ! $mode )
@@ -192,14 +192,14 @@
 		return true;
 	}
-	
+
 	function chown($file,$owner,$recursive=false){
 		return false;
 	}
-	
+
 	function owner($file){
 		$dir = $this->dirlist($file);
 		return $dir[$file]['owner'];
 	}
-	
+
 	function getchmod($file){
 		$dir = $this->dirlist($file);
@@ -235,5 +235,5 @@
 			$info = 'u';
 		}
-		
+
 		// Owner
 		$info .= (($perms & 0x0100) ? 'r' : '-');
@@ -242,5 +242,5 @@
 					(($perms & 0x0800) ? 's' : 'x' ) :
 					(($perms & 0x0800) ? 'S' : '-'));
-		
+
 		// Group
 		$info .= (($perms & 0x0020) ? 'r' : '-');
@@ -249,5 +249,5 @@
 					(($perms & 0x0400) ? 's' : 'x' ) :
 					(($perms & 0x0400) ? 'S' : '-'));
-		
+
 		// World
 		$info .= (($perms & 0x0004) ? 'r' : '-');
@@ -386,5 +386,5 @@
 		$ret = array();
 		foreach ( $list as $struc ) {
-			
+
 			if ( 'd' == $struc['type'] ) {
 				$struc['files'] = array();
Index: /trunk/wp-admin/includes/comment.php
===================================================================
--- /trunk/wp-admin/includes/comment.php	(revision 7129)
+++ /trunk/wp-admin/includes/comment.php	(revision 7130)
@@ -81,5 +81,5 @@
 }
 
-if ( is_admin() && ('edit-comments.php' == $pagenow || 'moderation.php' == $pagenow || 'edit.php' == $pagenow) ) { 
+if ( is_admin() && ('edit-comments.php' == $pagenow || 'moderation.php' == $pagenow || 'edit.php' == $pagenow) ) {
 	if ( get_option('show_avatars') )
 		add_filter( 'comment_author', 'floated_admin_avatar' );
Index: /trunk/wp-admin/includes/dashboard.php
===================================================================
--- /trunk/wp-admin/includes/dashboard.php	(revision 7129)
+++ /trunk/wp-admin/includes/dashboard.php	(revision 7130)
@@ -111,5 +111,5 @@
 			$arg, $arg, $arg... (further args passed to callbacks)
 		);
-	
+
 		// optional: if you want users to be able to edit the settings of your widget, you need to register a widget_control
 		wp_register_widget_control( $widget_id, $widget_control_title, $control_output_callback,
@@ -317,8 +317,8 @@
 			$date = '';
 			$link = clean_url( strip_tags( $item['link'] ) );
-		
+
 			if ( isset( $item['author_uri'] ) )
 				$site_link = clean_url( strip_tags( $item['author_uri'] ) );
-		
+
 			if ( !$publisher = wp_specialchars( strip_tags( isset($item['dc']['publisher']) ? $item['dc']['publisher'] : $item['author_name'] ) ) )
 				$publisher = __( 'Somebody' );
@@ -327,5 +327,5 @@
 			else
 				$publisher = "<strong>$publisher</strong>";
-		
+
 			if ( isset($item['description']) )
 				$content = $item['description'];
@@ -344,5 +344,5 @@
 			else
 				$text = _c( '%1$s linked here saying, "%3$s"|feed_display' );
-		
+
 			if ( $show_date ) {
 				if ( $show_author || $show_summary )
@@ -352,5 +352,5 @@
 				$date = gmdate( get_option( 'date_format' ), $date );
 			}
-		
+
 			echo "\t<li>" . sprintf( _c( "$text|feed_display" ), $publisher, $link, $content, $date ) . "</li>\n";
 		}
Index: /trunk/wp-admin/includes/file.php
===================================================================
--- /trunk/wp-admin/includes/file.php	(revision 7129)
+++ /trunk/wp-admin/includes/file.php	(revision 7130)
@@ -208,5 +208,5 @@
 	$snoopy = new Snoopy();
 	$snoopy->fetch($url);
-	
+
 	fwrite($handle, $snoopy->results);
 	fclose($handle);
@@ -220,5 +220,5 @@
 	if ( ! $wp_filesystem || !is_object($wp_filesystem) )
 		return new WP_Error('fs_unavailable', __('Could not access filesystem.'));
-			
+
 	$fs =& $wp_filesystem;
 
Index: /trunk/wp-admin/includes/media.php
===================================================================
--- /trunk/wp-admin/includes/media.php	(revision 7129)
+++ /trunk/wp-admin/includes/media.php	(revision 7130)
@@ -127,5 +127,5 @@
 <meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php echo get_option('blog_charset'); ?>" />
 <title><?php bloginfo('name') ?> &rsaquo; <?php _e('Uploads'); ?> &#8212; WordPress</title>
-<?php 
+<?php
 wp_admin_css( 'css/global' );
 wp_admin_css();
@@ -387,5 +387,5 @@
 	if ( !empty($_POST) ) {
 		$return = media_upload_form_handler();
-	
+
 		if ( is_string($return) )
 			return $return;
@@ -400,5 +400,5 @@
 	if ( !empty($_POST) ) {
 		$return = media_upload_form_handler();
-	
+
 		if ( is_string($return) )
 			return $return;
Index: /trunk/wp-admin/includes/post.php
===================================================================
--- /trunk/wp-admin/includes/post.php	(revision 7129)
+++ /trunk/wp-admin/includes/post.php	(revision 7130)
@@ -645,5 +645,5 @@
 	if ( !$current_user || !$current_user->ID )
 		return false;
-	
+
 	$now = time();
 
Index: /trunk/wp-admin/includes/template.php
===================================================================
--- /trunk/wp-admin/includes/template.php	(revision 7129)
+++ /trunk/wp-admin/includes/template.php	(revision 7130)
@@ -348,6 +348,6 @@
 ?>
   <tr id='page-<?php echo $id; ?>' class='<?php echo $class; ?>'>
-  
-  
+
+
  <?php
 
@@ -452,5 +452,5 @@
 }
  ?>
-  
+
    </tr>
 
@@ -571,5 +571,5 @@
 	else
 		$approved = "comment_approved != 'spam'";
-	
+
 	if ( $s ) {
 		$s = $wpdb->escape($s);
@@ -616,5 +616,5 @@
 	$approve_url = clean_url( wp_nonce_url( "comment.php?action=approvecomment&p=$comment->comment_post_ID&c=$comment->comment_ID", "approve-comment_$comment->comment_ID" ) );
 	$spam_url    = clean_url( wp_nonce_url( "comment.php?action=deletecomment&dt=spam&p=$comment->comment_post_ID&c=$comment->comment_ID", "delete-comment_$comment->comment_ID" ) );
-			
+
 ?>
   <tr id="comment-<?php echo $comment->comment_ID; ?>" class='<?php echo $class; ?>'>
Index: /trunk/wp-admin/includes/update.php
===================================================================
--- /trunk/wp-admin/includes/update.php	(revision 7129)
+++ /trunk/wp-admin/includes/update.php	(revision 7130)
@@ -138,5 +138,5 @@
 		return new WP_Error('fs_unavailable', __('Could not access filesystem.'));
 
-	if ( $wp_filesystem->errors->get_error_code() ) 
+	if ( $wp_filesystem->errors->get_error_code() )
 		return new WP_Error('fs_error', __('Filesystem error'), $wp_filesystem->errors);
 
@@ -173,5 +173,5 @@
 	// Once installed, delete the package
 	unlink($file);
-	
+
 	// Remove the existing plugin.
 	apply_filters('update_feedback', __("Removing the old version of the plugin"));
Index: /trunk/wp-admin/includes/user.php
===================================================================
--- /trunk/wp-admin/includes/user.php	(revision 7129)
+++ /trunk/wp-admin/includes/user.php	(revision 7130)
@@ -328,5 +328,5 @@
 			$search_sql .= ')';
 		}
-		
+
 		$this->query_from_where = "FROM $wpdb->users";
 		if ( $this->role )
Index: /trunk/wp-admin/js/common.js
===================================================================
--- /trunk/wp-admin/js/common.js	(revision 7129)
+++ /trunk/wp-admin/js/common.js	(revision 7130)
@@ -1,5 +1,5 @@
 addLoadEvent( function() {
 	// pulse
-	jQuery('.fade').animate( { backgroundColor: '#ffffe0' }, 300).animate( { backgroundColor: '#fffbcc' }, 300).animate( { backgroundColor: '#ffffe0' }, 300).animate( { backgroundColor: '#fffbcc' }, 300); 
+	jQuery('.fade').animate( { backgroundColor: '#ffffe0' }, 300).animate( { backgroundColor: '#fffbcc' }, 300).animate( { backgroundColor: '#ffffe0' }, 300).animate( { backgroundColor: '#fffbcc' }, 300);
 
 	// Reveal
Index: /trunk/wp-admin/js/editor.js
===================================================================
--- /trunk/wp-admin/js/editor.js	(revision 7129)
+++ /trunk/wp-admin/js/editor.js	(revision 7130)
@@ -6,5 +6,5 @@
 	} else {
         var H;
-        if ( H = tinymce.util.Cookie.getHash("TinyMCE_content_size") ) 
+        if ( H = tinymce.util.Cookie.getHash("TinyMCE_content_size") )
             document.getElementById('content').style.height = H.ch - 30 + 'px';
     }
@@ -12,9 +12,9 @@
 
 switchEditors = {
-    
+
     saveCallback : function(el, content, body) {
-    
+
         document.getElementById(el).style.color = '#fff';
-        if ( tinyMCE.activeEditor.isHidden() ) 
+        if ( tinyMCE.activeEditor.isHidden() )
             content = document.getElementById(el).value;
         else
@@ -45,10 +45,10 @@
         content = content.replace(new RegExp('\\s*</('+blocklist+')>\\s*', 'mg'), '</$1>\n');
         content = content.replace(new RegExp('<li>', 'g'), '\t<li>');
-		
+
         if ( content.indexOf('<object') != -1 ) {
             content = content.replace(new RegExp('\\s*<param([^>]*)>\\s*', 'g'), "<param$1>"); // no pee inside object/embed
             content = content.replace(new RegExp('\\s*</embed>\\s*', 'g'), '</embed>');
         }
-		
+
         // Unmark special paragraph closing tags
         content = content.replace(new RegExp('</p#>', 'g'), '</p>\n');
@@ -72,5 +72,5 @@
         if ( ! ed || ed.isHidden() ) {
             ta.style.color = '#fff';
-        
+
             this.edToggle(P, H);
             edCloseAllTags(); // :-(
@@ -84,5 +84,5 @@
             if ( ed ) ed.show();
             else tinyMCE.execCommand("mceAddControl", false, id);
-        
+
             this.wpSetDefaultEditor( 'tinymce' );
         } else {
@@ -94,5 +94,5 @@
             ta.value = this.pre_wpautop(ta.value);
             qt.style.display = 'block';
-            
+
             if ( tinymce.isIE6 ) {
 				ta.style.width = '98%';
@@ -103,5 +103,5 @@
 				ec.style.padding = '6px';
             }
-			
+
 			ta.style.color = '';
 
@@ -133,8 +133,8 @@
     wpautop : function(pee) {
         var blocklist = 'table|thead|tfoot|caption|colgroup|tbody|tr|td|th|div|dl|dd|dt|ul|ol|li|pre|select|form|blockquote|address|math|p|h[1-6]';
-    
+
         pee = pee + "\n\n";
         pee = pee.replace(new RegExp('<br />\\s*<br />', 'gi'), "\n\n");
-        pee = pee.replace(new RegExp('(<(?:'+blocklist+')[^>]*>)', 'gi'), "\n$1"); 
+        pee = pee.replace(new RegExp('(<(?:'+blocklist+')[^>]*>)', 'gi'), "\n$1");
         pee = pee.replace(new RegExp('(</(?:'+blocklist+')>)', 'gi'), "$1\n\n");
         pee = pee.replace(new RegExp("\\r\\n|\\r", 'g'), "\n");
@@ -147,5 +147,5 @@
         pee = pee.replace(new RegExp('</blockquote></p>', 'gi'), '</p></blockquote>');
         pee = pee.replace(new RegExp('<p>\\s*(</?(?:'+blocklist+')[^>]*>)', 'gi'), "$1");
-        pee = pee.replace(new RegExp('(</?(?:'+blocklist+')[^>]*>)\\s*</p>', 'gi'), "$1"); 
+        pee = pee.replace(new RegExp('(</?(?:'+blocklist+')[^>]*>)\\s*</p>', 'gi'), "$1");
         pee = pee.replace(new RegExp('\\s*\\n', 'gi'), "<br />\n");
         pee = pee.replace(new RegExp('(</?(?:'+blocklist+')[^>]*>)\\s*<br />', 'gi'), "$1");
Index: /trunk/wp-admin/js/forms.js
===================================================================
--- /trunk/wp-admin/js/forms.js	(revision 7129)
+++ /trunk/wp-admin/js/forms.js	(revision 7130)
@@ -14,6 +14,6 @@
 	for (i = 0, n = form.elements.length; i < n; i++) {
 		if (form.elements[i].type == "checkbox") {
-			if (form.elements[i].checked == true) 
-				num++; 
+			if (form.elements[i].checked == true)
+				num++;
 		}
 	}
@@ -23,6 +23,6 @@
 function checkAllUsers(role) {
  var checkboxs = document.getElementsByTagName('input');
- for(var i = 0, inp; inp = checkboxs[i]; i++) 
- 	if(inp.type.toLowerCase() == 'checkbox' && inp.className == role) 
+ for(var i = 0, inp; inp = checkboxs[i]; i++)
+ 	if(inp.type.toLowerCase() == 'checkbox' && inp.className == role)
 		if(inp.checked == false)
 			inp.checked = true;
Index: /trunk/wp-admin/js/media-upload.js
===================================================================
--- /trunk/wp-admin/js/media-upload.js	(revision 7129)
+++ /trunk/wp-admin/js/media-upload.js	(revision 7130)
@@ -10,3 +10,3 @@
 	} else
 		win.edInsertContent(win.edCanvas, h);
-}				
+}
Index: /trunk/wp-admin/js/password-strength-meter.js
===================================================================
--- /trunk/wp-admin/js/password-strength-meter.js	(revision 7129)
+++ /trunk/wp-admin/js/password-strength-meter.js	(revision 7130)
@@ -13,12 +13,12 @@
 function passwordStrength(password,username)
 {
-    score = 0 
-    
+    score = 0
+
     //password < 4
     if (password.length < 4 ) { return shortPass }
-    
+
     //password == username
     if (password.toLowerCase()==username.toLowerCase()) return badPass
-    
+
     //password length
     score += password.length * 4
@@ -29,29 +29,29 @@
 
     //password has 3 numbers
-    if (password.match(/(.*[0-9].*[0-9].*[0-9])/))  score += 5 
-    
+    if (password.match(/(.*[0-9].*[0-9].*[0-9])/))  score += 5
+
     //password has 2 sybols
-    if (password.match(/(.*[!,@,#,$,%,^,&,*,?,_,~].*[!,@,#,$,%,^,&,*,?,_,~])/)) score += 5 
-    
+    if (password.match(/(.*[!,@,#,$,%,^,&,*,?,_,~].*[!,@,#,$,%,^,&,*,?,_,~])/)) score += 5
+
     //password has Upper and Lower chars
-    if (password.match(/([a-z].*[A-Z])|([A-Z].*[a-z])/))  score += 10 
-    
+    if (password.match(/([a-z].*[A-Z])|([A-Z].*[a-z])/))  score += 10
+
     //password has number and chars
-    if (password.match(/([a-zA-Z])/) && password.match(/([0-9])/))  score += 15 
+    if (password.match(/([a-zA-Z])/) && password.match(/([0-9])/))  score += 15
     //
     //password has number and symbol
-    if (password.match(/([!,@,#,$,%,^,&,*,?,_,~])/) && password.match(/([0-9])/))  score += 15 
-    
+    if (password.match(/([!,@,#,$,%,^,&,*,?,_,~])/) && password.match(/([0-9])/))  score += 15
+
     //password has char and symbol
-    if (password.match(/([!,@,#,$,%,^,&,*,?,_,~])/) && password.match(/([a-zA-Z])/))  score += 15 
-    
+    if (password.match(/([!,@,#,$,%,^,&,*,?,_,~])/) && password.match(/([a-zA-Z])/))  score += 15
+
     //password is just a nubers or chars
-    if (password.match(/^\w+$/) || password.match(/^\d+$/) )  score -= 10 
-    
+    if (password.match(/^\w+$/) || password.match(/^\d+$/) )  score -= 10
+
     //verifing 0 < score < 100
-    if ( score < 0 )  score = 0 
-    if ( score > 100 )  score = 100 
-    
-    if (score < 34 )  return badPass 
+    if ( score < 0 )  score = 0
+    if ( score > 100 )  score = 100
+
+    if (score < 34 )  return badPass
     if (score < 68 )  return goodPass
     return strongPass
@@ -94,12 +94,12 @@
 function passwordStrength(password,username)
 {
-    score = 0 
-    
+    score = 0
+
     //password < 4
     if (password.length < 4 ) { return shortPass }
-    
+
     //password == username
     if (password.toLowerCase()==username.toLowerCase()) return badPass
-    
+
     //password length
     score += password.length * 4
@@ -110,29 +110,29 @@
 
     //password has 3 numbers
-    if (password.match(/(.*[0-9].*[0-9].*[0-9])/))  score += 5 
-    
+    if (password.match(/(.*[0-9].*[0-9].*[0-9])/))  score += 5
+
     //password has 2 sybols
-    if (password.match(/(.*[!,@,#,$,%,^,&,*,?,_,~].*[!,@,#,$,%,^,&,*,?,_,~])/)) score += 5 
-    
+    if (password.match(/(.*[!,@,#,$,%,^,&,*,?,_,~].*[!,@,#,$,%,^,&,*,?,_,~])/)) score += 5
+
     //password has Upper and Lower chars
-    if (password.match(/([a-z].*[A-Z])|([A-Z].*[a-z])/))  score += 10 
-    
+    if (password.match(/([a-z].*[A-Z])|([A-Z].*[a-z])/))  score += 10
+
     //password has number and chars
-    if (password.match(/([a-zA-Z])/) && password.match(/([0-9])/))  score += 15 
+    if (password.match(/([a-zA-Z])/) && password.match(/([0-9])/))  score += 15
     //
     //password has number and symbol
-    if (password.match(/([!,@,#,$,%,^,&,*,?,_,~])/) && password.match(/([0-9])/))  score += 15 
-    
+    if (password.match(/([!,@,#,$,%,^,&,*,?,_,~])/) && password.match(/([0-9])/))  score += 15
+
     //password has char and symbol
-    if (password.match(/([!,@,#,$,%,^,&,*,?,_,~])/) && password.match(/([a-zA-Z])/))  score += 15 
-    
+    if (password.match(/([!,@,#,$,%,^,&,*,?,_,~])/) && password.match(/([a-zA-Z])/))  score += 15
+
     //password is just a nubers or chars
-    if (password.match(/^\w+$/) || password.match(/^\d+$/) )  score -= 10 
-    
+    if (password.match(/^\w+$/) || password.match(/^\d+$/) )  score -= 10
+
     //verifing 0 < score < 100
-    if ( score < 0 )  score = 0 
-    if ( score > 100 )  score = 100 
-    
-    if (score < 34 )  return badPass 
+    if ( score < 0 )  score = 0
+    if ( score > 100 )  score = 100
+
+    if (score < 34 )  return badPass
     if (score < 68 )  return goodPass
     return strongPass
Index: /trunk/wp-admin/js/post.js
===================================================================
--- /trunk/wp-admin/js/post.js	(revision 7129)
+++ /trunk/wp-admin/js/post.js	(revision 7130)
@@ -24,5 +24,5 @@
 	jQuery.each( current_tags, function( key, val ) {
 		val = val.replace( /^\s+/, '' ).replace( /\s+$/, '' ); // trim
-		if ( !val.match(/^\s+$/) && '' != val ) { 
+		if ( !val.match(/^\s+$/) && '' != val ) {
 			txt = '<span><a id="tag-check-' + key + '" class="ntdelbutton">X</a>&nbsp;' + val + '</span> ';
 			jQuery( '#tagchecklist' ).append( txt );
@@ -64,10 +64,10 @@
 	// If no tags on the page, skip the tag and category stuff.
 	if ( !jQuery('#tags-input').size() ) {
-		return;	
+		return;
 	}
 
 	// Editable slugs
 	make_slugedit_clickable();
-	
+
 	// hide advanced slug field
 	jQuery('#slugdiv').hide();
Index: /trunk/wp-admin/js/slug.js
===================================================================
--- /trunk/wp-admin/js/slug.js	(revision 7129)
+++ /trunk/wp-admin/js/slug.js	(revision 7130)
@@ -2,5 +2,5 @@
 	var i, c = 0;
 	var e = jQuery('#editable-post-name');
-	var revert_e = e.html();	
+	var revert_e = e.html();
 	var real_slug = jQuery('#post_name');
 	var revert_slug = real_slug.html();
@@ -19,5 +19,5 @@
 				jQuery('#edit-slug-box').html(data);
 				b.html(revert_b);
-				real_slug.attr('value', new_slug);	
+				real_slug.attr('value', new_slug);
 				make_slugedit_clickable();
 			});
Index: /trunk/wp-admin/js/upload.js
===================================================================
--- /trunk/wp-admin/js/upload.js	(revision 7129)
+++ /trunk/wp-admin/js/upload.js	(revision 7130)
@@ -6,5 +6,5 @@
 		postID: 0,
 
-		// cookie create and read functions adapted from http://www.quirksmode.org/js/cookies.html	
+		// cookie create and read functions adapted from http://www.quirksmode.org/js/cookies.html
 		createCookie: function(name,value,days) {
 			if (days) {
@@ -29,6 +29,6 @@
 
 		assignCookieOnChange: function() {
-			jQuery(this).bind("change", function(){ 
-				theFileList.createCookie(jQuery(this).attr('name'),jQuery(this).attr('id'),365); 
+			jQuery(this).bind("change", function(){
+				theFileList.createCookie(jQuery(this).attr('name'),jQuery(this).attr('id'),365);
 			});
 		},
@@ -324,5 +324,5 @@
 	};
 
-	for ( var property in uploadL10n ) 
+	for ( var property in uploadL10n )
 		theFileList[property] = uploadL10n[property];
 	theFileList.initializeVars();
Index: /trunk/wp-admin/js/widgets.js
===================================================================
--- /trunk/wp-admin/js/widgets.js	(revision 7129)
+++ /trunk/wp-admin/js/widgets.js	(revision 7130)
@@ -88,5 +88,5 @@
 		if ( !context )
 			context = document;
-		
+
 		$('a.widget-control-edit', context).click( editClick );
 
Index: /trunk/wp-admin/link-manager.php
===================================================================
--- /trunk/wp-admin/link-manager.php	(revision 7129)
+++ /trunk/wp-admin/link-manager.php	(revision 7130)
@@ -22,5 +22,5 @@
 } elseif ( !empty($_GET['_wp_http_referer']) ) {
 	 wp_redirect(remove_query_arg(array('_wp_http_referer', '_wpnonce'), stripslashes($_SERVER['REQUEST_URI'])));
-	 exit; 
+	 exit;
 }
 
@@ -171,5 +171,5 @@
 			switch($column_name) {
 				case 'name':
-					
+
 					echo "<td><strong><a class='row-title' href='link.php?link_id=$link->link_id&amp;action=edit' class='edit'>$link->link_name</a></strong><br />";
 					echo $link->link_description . "</td>";
Index: /trunk/wp-admin/options-general.php
===================================================================
--- /trunk/wp-admin/options-general.php	(revision 7129)
+++ /trunk/wp-admin/options-general.php	(revision 7130)
@@ -58,5 +58,5 @@
 <td>
 <select name="gmt_offset">
-<?php 
+<?php
 $current_offset = get_option('gmt_offset');
 $offset_range = array (-12, -11.5, -11, -10.5, -10, -9.5, -9, -8.5, -8, -7.5, -7, -6.5, -6, -5.5, -5, -4.5, -4, -3.5, -3, -2.5, -2, -1.5, -1, -0.5,
Index: /trunk/wp-admin/sidebar.php
===================================================================
--- /trunk/wp-admin/sidebar.php	(revision 7129)
+++ /trunk/wp-admin/sidebar.php	(revision 7130)
@@ -14,5 +14,5 @@
 <meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=UTF-8" />
 <title>WordPress &#8250; Posted</title>
-<?php 
+<?php
 wp_admin_css( 'css/global' );
 wp_admin_css();
@@ -32,5 +32,5 @@
 <meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('blog_charset'); ?>" />
 <title>WordPress &#8250; Sidebar</title>
-<?php 
+<?php
 wp_admin_css( 'css/global' );
 wp_admin_css();
Index: /trunk/wp-admin/theme-editor.php
===================================================================
--- /trunk/wp-admin/theme-editor.php	(revision 7129)
+++ /trunk/wp-admin/theme-editor.php	(revision 7130)
@@ -84,5 +84,5 @@
 <?php if (isset($_GET['a'])) : ?>
  <div id="message" class="updated fade"><p><?php _e('File edited successfully.') ?></p></div>
-<?php endif; 
+<?php endif;
 
 $description = get_file_description($file);
@@ -135,5 +135,5 @@
 	<h4 style="margin-bottom: 0px;"><?php _e('Styles'); ?></h4>
 	<ul>
-<?php foreach($themes[$theme]['Stylesheet Files'] as $style_file) : 
+<?php foreach($themes[$theme]['Stylesheet Files'] as $style_file) :
 		$description = get_file_description($style_file);
 		$style_show = basename($style_file);
@@ -156,5 +156,5 @@
 		 <input type="hidden" name="theme" value="<?php echo $theme ?>" />
 		 </div>
-		
+
 		<div>
 <?php if ( is_writeable($real_file) ) : ?>
Index: /trunk/wp-admin/update.php
===================================================================
--- /trunk/wp-admin/update.php	(revision 7129)
+++ /trunk/wp-admin/update.php	(revision 7130)
@@ -111,5 +111,5 @@
 		do_plugin_upgrade($plugin);
 		include('admin-footer.php');
-	} 
+	}
 
 }
Index: /trunk/wp-admin/upload.php
===================================================================
--- /trunk/wp-admin/upload.php	(revision 7129)
+++ /trunk/wp-admin/upload.php	(revision 7130)
@@ -2,6 +2,6 @@
 require_once('admin.php');
 
-if (!current_user_can('upload_files')) 
-	wp_die(__('You do not have permission to upload files.')); 
+if (!current_user_can('upload_files'))
+	wp_die(__('You do not have permission to upload files.'));
 
 // Handle bulk deletes
@@ -27,5 +27,5 @@
 } elseif ( !empty($_GET['_wp_http_referer']) ) {
 	wp_redirect(remove_query_arg(array('_wp_http_referer', '_wpnonce'), stripslashes($_SERVER['REQUEST_URI'])));
-	exit; 
+	exit;
 }
 
@@ -155,10 +155,10 @@
 		continue;
 	$arc_row->mmonth = zeroise( $arc_row->mmonth, 2 );
-	
+
 	if ( $arc_row->yyear . $arc_row->mmonth == $_GET['m'] )
 		$default = ' selected="selected"';
 	else
 		$default = '';
-	
+
 	echo "<option$default value='$arc_row->yyear$arc_row->mmonth'>";
 	echo $wp_locale->get_month($arc_row->mmonth) . " $arc_row->yyear";
Index: /trunk/wp-admin/users.php
===================================================================
--- /trunk/wp-admin/users.php	(revision 7129)
+++ /trunk/wp-admin/users.php	(revision 7130)
@@ -185,5 +185,5 @@
 	if ( !empty($_GET['_wp_http_referer']) ) {
 		wp_redirect(remove_query_arg(array('_wp_http_referer', '_wpnonce'), stripslashes($_SERVER['REQUEST_URI'])));
-		exit; 
+		exit;
 	}
 
Index: /trunk/wp-admin/wp-admin.css
===================================================================
--- /trunk/wp-admin/wp-admin.css	(revision 7129)
+++ /trunk/wp-admin/wp-admin.css	(revision 7130)
@@ -171,5 +171,5 @@
 	font-size: 13px;
 	-moz-border-radius: 3px;
-	-khtml-border-radius: 3px;	
+	-khtml-border-radius: 3px;
 	-webkit-border-radius: 3px;
 	border-radius: 3px;
@@ -235,6 +235,6 @@
 
 .error {
-	background: #f00; 
-	border: 1px solid #800; 
+	background: #f00;
+	border: 1px solid #800;
  	color: #fff;
 }
@@ -369,5 +369,5 @@
 	padding: 0 0 .2em 1px;
 }
-	
+
 #searchform #s {
 	padding: 4px 3px;
@@ -570,5 +570,5 @@
 	color: #555;
 	text-align: center;
-} 
+}
 
 #update-nag a, .plugin-update a {
@@ -579,28 +579,28 @@
 }
 
-#pass-strength-result { 
+#pass-strength-result {
 	padding: 3px 5px 3px 5px;
 	margin-top: 3px;
-	text-align: center; 
+	text-align: center;
 	background-color: #e3e3e3;
 	border: 1px solid #000000;
 }
 
-#pass-strength-result.short { 
+#pass-strength-result.short {
 	background-color: #e3e3e3;
-	border: 1px solid #000000; 
-}
-
-#pass-strength-result.bad { 
+	border: 1px solid #000000;
+}
+
+#pass-strength-result.bad {
 	background-color: #ffeff7;
-	border: 1px solid #cc6699; 
-}
-
-#pass-strength-result.good { 
+	border: 1px solid #cc6699;
+}
+
+#pass-strength-result.good {
 	background-color: #effff4;
-	border: 1px solid #66cc87; 
-}
-
-#pass-strength-result.strong { 
+	border: 1px solid #66cc87;
+}
+
+#pass-strength-result.strong {
 	background-color: #59ef86;
 	border: 1px solid #319f52;
@@ -695,5 +695,5 @@
 	-webkit-border-top-left-radius: 3px;
 	border-top-left-radius: 3px;
-	-moz-border-radius-topright: 3px;	
+	-moz-border-radius-topright: 3px;
 	-khtml-border-top-right-radius: 3px;
 	-webkit-border-top-right-radius: 3px;
@@ -892,6 +892,6 @@
 	height:100%;
 }
-#wpwrap { 
-	position: relative; 
+#wpwrap {
+	position: relative;
 	min-height: 100%;
 }
@@ -906,6 +906,6 @@
 	background: #464646 url('images/logo-ghost.png') no-repeat 20px 10px;
 	color: #999;
-	position: relative; 
- 	margin-top: -75px; 
+	position: relative;
+ 	margin-top: -75px;
 }
 
@@ -1065,5 +1065,5 @@
 	font-size: 1.7em;
 	padding: 4px 3px;
-	width: 98%;	
+	width: 98%;
 }
 
Index: /trunk/wp-content/themes/default/rtl.css
===================================================================
--- /trunk/wp-content/themes/default/rtl.css	(revision 7129)
+++ /trunk/wp-content/themes/default/rtl.css	(revision 7130)
Index: /trunk/wp-content/themes/default/style.css
===================================================================
--- /trunk/wp-content/themes/default/style.css	(revision 7129)
+++ /trunk/wp-content/themes/default/style.css	(revision 7130)
@@ -1,3 +1,3 @@
-/*  
+/*
 Theme Name: WordPress Default
 Theme URI: http://wordpress.org/
@@ -40,9 +40,9 @@
 	}
 
-#headerimg 	{ 
-	margin: 7px 9px 0; 
-	height: 192px; 
-	width: 740px; 
-	} 
+#headerimg 	{
+	margin: 7px 9px 0;
+	height: 192px;
+	width: 740px;
+	}
 
 #content {
@@ -73,5 +73,5 @@
 
 #footer {
-	background: #eee url('images/kubrickfooter.jpg') no-repeat top; 
+	background: #eee url('images/kubrickfooter.jpg') no-repeat top;
 	border: none;
 	}
@@ -212,5 +212,5 @@
 body {
 	margin: 0 0 20px 0;
-	padding: 0; 
+	padding: 0;
 	}
 
@@ -225,7 +225,7 @@
 #header {
 	background-color: #73a0c5;
-	margin: 0 0 0 1px; 
-	padding: 0; 
-	height: 200px; 
+	margin: 0 0 0 1px;
+	padding: 0;
+	height: 200px;
 	width: 758px;
 	}
@@ -387,5 +387,5 @@
 	padding-left: 10px;
 	text-indent: -10px;
-	} 
+	}
 
 html>body .entry li {
@@ -451,5 +451,5 @@
 #searchform {
 	margin: 10px auto;
-	padding: 5px 3px; 
+	padding: 5px 3px;
 	text-align: center;
 	}
Index: /trunk/wp-includes/category-template.php
===================================================================
--- /trunk/wp-includes/category-template.php	(revision 7129)
+++ /trunk/wp-includes/category-template.php	(revision 7130)
@@ -168,16 +168,16 @@
 }
 
-/* 
+/*
  * in_category() - Checks whether the current post is within a particular category
- * 
+ *
  * This function checks to see if the post is within the supplied category.  The categoy
  * can be specified by number or name and will be checked as a name first to allow for categories with numeric names.
  * Note: Prior to v2.5 of WordPress category names where not supported.
- * 
- * @since 1.2.0 
- * 
- * @param int|string $category 
+ *
+ * @since 1.2.0
+ *
+ * @param int|string $category
  * @return bool true if the post is in the supplied category
-*/ 
+*/
 function in_category( $category ) { // Check if the current post is in the given category
 	global $post;
@@ -186,5 +186,5 @@
 	if (0 != $cat_ID)
 		$category = $cat_ID;
-	
+
 	$categories = get_object_term_cache($post->ID, 'category');
 	if ( false === $categories )
Index: /trunk/wp-includes/classes.php
===================================================================
--- /trunk/wp-includes/classes.php	(revision 7129)
+++ /trunk/wp-includes/classes.php	(revision 7130)
@@ -417,19 +417,19 @@
 		$output = call_user_func_array(array(&$this, 'start_el'), $cb_args);
 
-		if ( $max_depth == 0 || 
+		if ( $max_depth == 0 ||
 		     ($max_depth != 0 &&  $max_depth > $depth+1 )) { //whether to descend
-		
+
 			for ( $i = 0; $i < sizeof( $children_elements ); $i++ ) {
-				
+
 				$child = $children_elements[$i];
 				if ( $child->$parent_field == $element->$id_field ) {
 
 					if ( !isset($newlevel) ) {
-						$newlevel = true; 
+						$newlevel = true;
 						//start the child delimiter
 						$cb_args = array_merge( array($output, $depth), $args);
 						$output = call_user_func_array(array(&$this, 'start_lvl'), $cb_args);
 					}
-				
+
 					array_splice( $children_elements, $i, 1 );
 					$output = $this->display_element( $child, $children_elements, $max_depth, $depth + 1, $args, $output );
@@ -438,5 +438,5 @@
 			}
 		}
-		
+
 		if ( isset($newlevel) && $newlevel ){
 			//end the child delimiter
@@ -444,5 +444,5 @@
 			$output = call_user_func_array(array(&$this, 'end_lvl'), $cb_args);
 		}
-		
+
 		//end this element
 		$cb_args = array_merge( array($output, $element, $depth), $args);
Index: /trunk/wp-includes/deprecated.php
===================================================================
--- /trunk/wp-includes/deprecated.php	(revision 7129)
+++ /trunk/wp-includes/deprecated.php	(revision 7130)
@@ -1277,5 +1277,5 @@
 /**
  * gzip_compression() - Unused function
- * 
+ *
  * @deprecated 2.5
 */
Index: /trunk/wp-includes/functions.php
===================================================================
--- /trunk/wp-includes/functions.php	(revision 7129)
+++ /trunk/wp-includes/functions.php	(revision 7130)
@@ -6,5 +6,5 @@
 	if ( empty( $m ) )
 		return false;
-		
+
 	if( 'G' == $dateformatstring ) {
 		return gmmktime(
@@ -13,5 +13,5 @@
 		);
 	}
-	
+
 	$i = mktime(
 		(int) substr( $m, 11, 2 ), (int) substr( $m, 14, 2 ), (int) substr( $m, 17, 2 ),
@@ -907,5 +907,5 @@
 	}
 
-	do_action( $hook, $wp_query->is_comment_feed ); 
+	do_action( $hook, $wp_query->is_comment_feed );
 }
 
@@ -1044,5 +1044,5 @@
 	if ( strlen($path) == 0 || $path{0} == '.' )
 		return false;
-	
+
 	// windows allows absolute paths like this
 	if ( preg_match('#^[a-zA-Z]:\\\\#', $path) )
@@ -1057,5 +1057,5 @@
 	if ( path_is_absolute($path) )
 		return $path;
-	
+
 	return rtrim($base, '/') . '/' . ltrim($path, '/');
 }
@@ -1065,5 +1065,5 @@
 	$siteurl = get_option( 'siteurl' );
 	$upload_path = $dir = get_option( 'upload_path' );
-	
+
 	// $dir is absolute, $path is (maybe) relative to ABSPATH
 	$dir = path_join( ABSPATH, $upload_path );
@@ -1090,5 +1090,5 @@
 		$subdir = "/$y/$m";
 	}
-	
+
 	$dir .= $subdir;
 	$url .= $subdir;
@@ -1185,5 +1185,5 @@
 		'text' => array('txt'),
 		'archive' => array('tar','bz2','gz','cab','dmg','rar','sea','sit','sqx','zip'),
-		'code' => array('css','html','php','js'),		
+		'code' => array('css','html','php','js'),
 	));
 	foreach ( $ext2type as $type => $exts )
Index: /trunk/wp-includes/general-template.php
===================================================================
--- /trunk/wp-includes/general-template.php	(revision 7129)
+++ /trunk/wp-includes/general-template.php	(revision 7130)
@@ -938,6 +938,6 @@
 			<a id="edButtonPreview" onclick="switchEditors.go('<?php echo $id; ?>');"><?php _e('Visual'); ?></a>
 		<?php }
-	} 
-	
+	}
+
 	if ( $media_buttons ) { ?>
 		<div id="media-buttons">
Index: /trunk/wp-includes/js/autosave.js
===================================================================
--- /trunk/wp-includes/js/autosave.js	(revision 7129)
+++ /trunk/wp-includes/js/autosave.js	(revision 7130)
@@ -133,5 +133,5 @@
 	/* Gotta do this up here so we can check the length when tinyMCE is in use */
 	if ( rich ) { tinyMCE.triggerSave(); }
-	
+
 	post_data["content"] = jQuery("#content").val();
 	if ( jQuery('#post_name').val() )
Index: /trunk/wp-includes/js/quicktags.js
===================================================================
--- /trunk/wp-includes/js/quicktags.js	(revision 7129)
+++ /trunk/wp-includes/js/quicktags.js	(revision 7130)
@@ -26,13 +26,13 @@
 
 var now = new Date();
-var datetime = now.getUTCFullYear() + '-' + 
+var datetime = now.getUTCFullYear() + '-' +
 zeroise(now.getUTCMonth() + 1, 2) + '-' +
-zeroise(now.getUTCDate(), 2) + 'T' + 
-zeroise(now.getUTCHours(), 2) + ':' + 
-zeroise(now.getUTCMinutes(), 2) + ':' + 
+zeroise(now.getUTCDate(), 2) + 'T' +
+zeroise(now.getUTCHours(), 2) + ':' +
+zeroise(now.getUTCMinutes(), 2) + ':' +
 zeroise(now.getUTCSeconds() ,2) +
 '+00:00';
 
-edButtons[edButtons.length] = 
+edButtons[edButtons.length] =
 new edButton('ed_strong'
 ,'b'
@@ -42,5 +42,5 @@
 );
 
-edButtons[edButtons.length] = 
+edButtons[edButtons.length] =
 new edButton('ed_em'
 ,'i'
@@ -50,5 +50,5 @@
 );
 
-edButtons[edButtons.length] = 
+edButtons[edButtons.length] =
 new edButton('ed_link'
 ,'link'
@@ -58,5 +58,5 @@
 ); // special case
 
-edButtons[edButtons.length] = 
+edButtons[edButtons.length] =
 new edButton('ed_block'
 ,'b-quote'
@@ -67,5 +67,5 @@
 
 
-edButtons[edButtons.length] = 
+edButtons[edButtons.length] =
 new edButton('ed_del'
 ,'del'
@@ -75,5 +75,5 @@
 );
 
-edButtons[edButtons.length] = 
+edButtons[edButtons.length] =
 new edButton('ed_ins'
 ,'ins'
@@ -83,5 +83,5 @@
 );
 
-edButtons[edButtons.length] = 
+edButtons[edButtons.length] =
 new edButton('ed_img'
 ,'img'
@@ -92,5 +92,5 @@
 ); // special case
 
-edButtons[edButtons.length] = 
+edButtons[edButtons.length] =
 new edButton('ed_ul'
 ,'ul'
@@ -100,5 +100,5 @@
 );
 
-edButtons[edButtons.length] = 
+edButtons[edButtons.length] =
 new edButton('ed_ol'
 ,'ol'
@@ -108,5 +108,5 @@
 );
 
-edButtons[edButtons.length] = 
+edButtons[edButtons.length] =
 new edButton('ed_li'
 ,'li'
@@ -116,5 +116,5 @@
 );
 
-edButtons[edButtons.length] = 
+edButtons[edButtons.length] =
 new edButton('ed_code'
 ,'code'
@@ -124,5 +124,5 @@
 );
 
-edButtons[edButtons.length] = 
+edButtons[edButtons.length] =
 new edButton('ed_more'
 ,'more'
@@ -133,5 +133,5 @@
 );
 /*
-edButtons[edButtons.length] = 
+edButtons[edButtons.length] =
 new edButton('ed_next'
 ,'page'
@@ -221,5 +221,5 @@
 			newWin = ' target="_blank"';
 		}
-		var tempStr = '<a href="' + edLinks[i].URL + '"' + newWin + '>' 
+		var tempStr = '<a href="' + edLinks[i].URL + '"' + newWin + '>'
 		            + edLinks[i].display
 		            + '</a>';
@@ -299,5 +299,5 @@
 			myField.value = myField.value.substring(0, startPos)
 			              + edButtons[i].tagStart
-			              + myField.value.substring(startPos, endPos) 
+			              + myField.value.substring(startPos, endPos)
 			              + edButtons[i].tagEnd
 			              + myField.value.substring(endPos, myField.value.length);
@@ -306,5 +306,5 @@
 		else {
 			if (!edCheckOpenTags(i) || edButtons[i].tagEnd == '') {
-				myField.value = myField.value.substring(0, startPos) 
+				myField.value = myField.value.substring(0, startPos)
 				              + edButtons[i].tagStart
 				              + myField.value.substring(endPos, myField.value.length);
@@ -313,5 +313,5 @@
 			}
 			else {
-				myField.value = myField.value.substring(0, startPos) 
+				myField.value = myField.value.substring(0, startPos)
 				              + edButtons[i].tagEnd
 				              + myField.value.substring(endPos, myField.value.length);
@@ -351,5 +351,5 @@
 		var endPos = myField.selectionEnd;
 		myField.value = myField.value.substring(0, startPos)
-		              + myValue 
+		              + myValue
                       + myField.value.substring(endPos, myField.value.length);
 		myField.focus();
@@ -381,7 +381,7 @@
 	var myValue = prompt(quicktagsL10n.enterImageURL, 'http://');
 	if (myValue) {
-		myValue = '<img src="' 
-				+ myValue 
-				+ '" alt="' + prompt(quicktagsL10n.enterImageDescription, '') 
+		myValue = '<img src="'
+				+ myValue
+				+ '" alt="' + prompt(quicktagsL10n.enterImageDescription, '')
 				+ '" />';
 		edInsertContent(myField, myValue);
Index: /trunk/wp-includes/js/wp-lists.js
===================================================================
--- /trunk/wp-includes/js/wp-lists.js	(revision 7129)
+++ /trunk/wp-includes/js/wp-lists.js	(revision 7130)
@@ -59,5 +59,5 @@
 		if ( cls[3] ) { s.addColor = '#' + cls[3]; }
 		else { s.addColor = s.addColor || '#FFFF33'; }
-		
+
 		if ( !s ) { return false; }
 
Index: /trunk/wp-includes/media.php
===================================================================
--- /trunk/wp-includes/media.php	(revision 7129)
+++ /trunk/wp-includes/media.php	(revision 7130)
@@ -5,5 +5,5 @@
 // scale down the default size of an image so it's a better fit for the editor and theme
 function image_constrain_size_for_editor($width, $height, $size = 'medium') {
-	
+
 	if ( $size == 'thumb' ) {
 		$max_width = intval(get_option('thumbnail_size_w'));
@@ -34,5 +34,5 @@
 
 	list( $max_width, $max_height ) = apply_filters( 'editor_max_image_size', array( $max_width, $max_height ), $size );
-	
+
 	return wp_constrain_dimensions( $width, $height, $max_width, $max_height );
 }
@@ -52,13 +52,13 @@
 // returns an array($url, $width, $height)
 function image_downsize($id, $size = 'medium') {
-	
+
 	$img_url = wp_get_attachment_url($id);
 	$meta = wp_get_attachment_metadata($id);
 	$width = $height = 0;
-	
+
 	// plugins can use this to provide resize services
 	if ( $out = apply_filters('image_downsize', false, $id, $size) )
 		return $out;
-	
+
 	if ( $size == 'thumb' ) {
 		// thumbnail: use the thumb as the displayed image, and constrain based on its dimensions
@@ -75,7 +75,7 @@
 		list( $width, $height ) = image_constrain_size_for_editor( $meta['width'], $meta['height'], $size );
 	}
-	
+
 	return array( $img_url, $width, $height );
-	
+
 }
 
@@ -98,16 +98,16 @@
 	if ( !$max_width and !$max_height )
 		return array( $current_width, $current_height );
-	
+
 	$width_ratio = $height_ratio = 1.0;
-	
+
 	if ( $max_width > 0 && $current_width > $max_width )
 		$width_ratio = $max_width / $current_width;
-	
+
 	if ( $max_height > 0 && $current_height > $max_height )
 		$height_ratio = $max_height / $current_height;
-	
+
 	// the smaller ratio is the one we need to fit it to the constraining box
 	$ratio = min( $width_ratio, $height_ratio );
-	
+
 	return array( intval($current_width * $ratio), intval($current_height * $ratio) );
 }
@@ -116,5 +116,5 @@
 // if $crop is true, the largest matching central portion of the image will be cropped out and resized to the required size
 function image_resize_dimensions($orig_w, $orig_h, $dest_w, $dest_h, $crop=false) {
-	
+
 	if ($orig_w <= 0 || $orig_h <= 0)
 		return false;
@@ -122,5 +122,5 @@
 	if ($dest_w <= 0 && $dest_h <= 0)
 		return false;
-	
+
 	if ( $crop ) {
 		// crop the largest possible portion of the original image that we can size to $dest_w x $dest_h
@@ -136,5 +136,5 @@
 
 		$size_ratio = max($new_w / $orig_w, $new_h / $orig_h);
-		
+
 		$crop_w = ceil($new_w / $size_ratio);
 		$crop_h = ceil($new_h / $size_ratio);
@@ -147,11 +147,11 @@
 		$crop_w = $orig_w;
 		$crop_h = $orig_h;
-		
+
 		$s_x = 0;
 		$s_y = 0;
-		
+
 		list( $new_w, $new_h ) = wp_constrain_dimensions( $orig_w, $orig_h, $dest_w, $dest_h );
 	}
-	
+
 	// if the resulting image would be the same size or larger we don't want to resize it
 	if ($new_w >= $orig_w && $new_h >= $orig_h)
@@ -176,5 +176,5 @@
 		return $dims;
 	list($dst_x, $dst_y, $src_x, $src_y, $dst_w, $dst_h, $src_w, $src_h) = $dims;
-	
+
 	$newimage = imagecreatetruecolor( $dst_w, $dst_h);
 
Index: /trunk/wp-includes/pluggable.php
===================================================================
--- /trunk/wp-includes/pluggable.php	(revision 7129)
+++ /trunk/wp-includes/pluggable.php	(revision 7130)
@@ -651,5 +651,5 @@
 		$nonce = $_REQUEST['_ajax_nonce'] ? $_REQUEST['_ajax_nonce'] : $_REQUEST['_wpnonce'];
 
-	if ( !wp_verify_nonce( $nonce, $action ) ) 
+	if ( !wp_verify_nonce( $nonce, $action ) )
 		die('-1');
 
@@ -857,5 +857,5 @@
 	$comments_waiting = $wpdb->get_var("SELECT count(comment_ID) FROM $wpdb->comments WHERE comment_approved = '0'");
 
-	switch ($comment->comment_type) 
+	switch ($comment->comment_type)
 	{
 		case 'trackback':
@@ -883,9 +883,9 @@
 			break;
 	}
-	
+
 	$notify_message .= sprintf( __('Approve it: %s'),  get_option('siteurl')."/wp-admin/comment.php?action=mac&c=$comment_id" ) . "\r\n";
 	$notify_message .= sprintf( __('Delete it: %s'), get_option('siteurl')."/wp-admin/comment.php?action=cdc&c=$comment_id" ) . "\r\n";
 	$notify_message .= sprintf( __('Spam it: %s'), get_option('siteurl')."/wp-admin/comment.php?action=cdc&dt=spam&c=$comment_id" ) . "\r\n";
-	
+
 	$strCommentsPending = sprintf( __ngettext('%s comment', '%s comments', $comments_waiting), $comments_waiting );
 	$notify_message .= sprintf( __('Currently %s are waiting for approval. Please visit the moderation panel:'), $strCommentsPending ) . "\r\n";
Index: /trunk/wp-includes/post.php
===================================================================
--- /trunk/wp-includes/post.php	(revision 7129)
+++ /trunk/wp-includes/post.php	(revision 7130)
@@ -1429,6 +1429,6 @@
  * check_and_publish_future_post() - check to make sure post has correct status before
  * passing it on to be published. Invoked by cron 'publish_future_post' event
- * This safeguard prevents cron from publishing drafts, etc. 
- * 
+ * This safeguard prevents cron from publishing drafts, etc.
+ *
  * {@internal Missing Long Description}}
  *
@@ -1442,5 +1442,5 @@
  */
 function check_and_publish_future_post($post_id) {
-	
+
 	$post = get_post($post_id);
 
@@ -1451,5 +1451,5 @@
 		return;
 
-	return wp_publish_post($post_id); 
+	return wp_publish_post($post_id);
 }
 
@@ -2932,5 +2932,5 @@
     if ( !empty($_post->ancestors) )
     	return;
- 
+
     $_post->ancestors = array();
 
Index: /trunk/wp-includes/script-loader.php
===================================================================
--- /trunk/wp-includes/script-loader.php	(revision 7129)
+++ /trunk/wp-includes/script-loader.php	(revision 7130)
@@ -33,11 +33,11 @@
 		$visual_editor = apply_filters('visual_editor', array('tiny_mce'));
 		$this->add( 'editor', false, $visual_editor, '20080218' );
-		
+
 		$this->add( 'editor_functions', '/wp-admin/js/editor.js', false, '20080221' );
-		
+
 		// Modify this version when tinyMCE plugins are changed.
 		$mce_version = apply_filters('tiny_mce_version', '20080226');
 		$this->add( 'tiny_mce', '/wp-includes/js/tinymce/tiny_mce_config.php', array('editor_functions'), $mce_version );
-		
+
 		$this->add( 'prototype', '/wp-includes/js/prototype.js', false, '1.6');
 
@@ -480,10 +480,10 @@
 }
 
-// These localizations require information that may not be loaded even by init 
-function wp_just_in_time_script_localization() { 
-	wp_localize_script( 'tiny_mce', 'wpTinyMCEConfig', array( 'defaultEditor' => wp_default_editor() ) ); 
-}
-
-add_filter( 'wp_print_scripts', 'wp_just_in_time_script_localization' ); 
+// These localizations require information that may not be loaded even by init
+function wp_just_in_time_script_localization() {
+	wp_localize_script( 'tiny_mce', 'wpTinyMCEConfig', array( 'defaultEditor' => wp_default_editor() ) );
+}
+
+add_filter( 'wp_print_scripts', 'wp_just_in_time_script_localization' );
 add_filter( 'print_scripts_array', 'wp_prototype_before_jquery' );
 
Index: /trunk/wp-includes/widgets.php
===================================================================
--- /trunk/wp-includes/widgets.php	(revision 7129)
+++ /trunk/wp-includes/widgets.php	(revision 7130)
@@ -263,5 +263,5 @@
 				if ( !$widget_id || $widget_id == $wp_registered_widgets[$widget]['id'] )
 					return $sidebar;
-				
+
 
 	return false;
